function Acc = NCC2(train,test,nvec_tr,nvec_tst,class)
%Acc = NCC2(y,tst,nvec_tr,nvec_tst,class)
%   Nearest Centroid Classifier
%   train: dim x nvec
%   Mean: dim x class (centroids of train samples)
%   test:  dim x nvec
%   nvec_tr: train vectors per class
%   nvec_tst: test vectors per class
%   class: number of classes

for nclass=1:class
    rg = sum(nvec_tr(1:nclass-1))+1:sum(nvec_tr(1:nclass));
    MeanY(:,nclass)=mean(train(:,rg)')';   
end

tst=test;

Class=[];
for j=1:sum(nvec_tst)
    %for nclass=1:class
        %rg = sum(nvec_tr(1:nclass-1))+1:sum(nvec_tr(1:nclass));
        for r=1:class
            dist(r) = norm(tst(:,j)-MeanY(:,r))^2;
        end
    %end
    [rw,cl] = min(dist); % Euclideans
    clear dist
    Class = [Class, cl];
end

% Misclassified
for j=1:class
    rg = sum(nvec_tst(1:j-1))+1:sum(nvec_tst(1:j));
    clss = Class(rg);
    MisclassifiedPerClass(j) = sum(clss~=j);
end
Misclassified = sum(MisclassifiedPerClass);
Acc = (sum(nvec_tst)-Misclassified)/sum(nvec_tst)*100;

end

