function Acc = NNC(train,test,nvec_tr,nvec_tst,class)
%Acc = NNC(train,test,nvec_tr,nvec_tst,class)
%   Nearest Neighbor Classifier
%   train: dim x nvec
%   test:  dim x nvec
%   nvec_tr: train vectors per class
%   nvec_tst: test vectors per class
%   class: number of classes
y=train;
tst=test;

Class=[];
for j=1:sum(nvec_tst)
    for nclass=1:class
        rg = sum(nvec_tr(1:nclass-1))+1:sum(nvec_tr(1:nclass));
        for r=rg
            dist(r) = norm(tst(:,j)-y(:,r))^2; % Euclidean distance
        end
    end
    [rw,cl] = min(dist); % Euclideans
    clear dist
    for k=1:class
        if (cl <= sum(nvec_tr(1:k)))
            Class = [Class, k];
            break
        end
    end
end

% Misclassified
for j=1:class
    rg = sum(nvec_tst(1:j-1))+1:sum(nvec_tst(1:j));
    clss = Class(rg);
    MisclassifiedPerClass(j) = sum(clss~=j);
end
Misclassified = sum(MisclassifiedPerClass);
Acc = (sum(nvec_tst)-Misclassified)/sum(nvec_tst)*100;

end

